Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Class ResourceManager

    java.lang.Object
      |
      +--oracle.xml.async.ResourceManager

public class ResourceManager
extends java.lang.Object

Simple semaphore that maintains access to fixed number of logical resources.

Constructor Summary
`ResourceManager(int i)` The ResourceManager constructor

Method Summary
`boolean` | `activeFound()` Checks if any of the logical resources being managed are in active use
`void` | `getResource()` If the number of resources available for use is nonzero, the method decreases the number of resources by one.
`void` | `releaseResource()` Releases a resource.
`void` | `sleep(int i)` Allows usage of Thread.sleep() without try/catch

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceManager

    public ResourceManager(int i)

  The ResourceManager constructor

Method Detail

### getResource

    public void getResource()

  If the number of resources available for use is nonzero, the method decreases the number of resources by one. Otherwise, it waits until a resource is released & it becomes available for use.

### releaseResource

    public void releaseResource()

  Releases a resource. When this method is called, the number of resources avialable is increased by one.

### activeFound

    public boolean activeFound()

  Checks if any of the logical resources being managed are in active use
  Returns:
    `true` - if one or more resource is in use `false` - if none of the resources are in use

### sleep

    public void sleep(int i)

  Allows usage of Thread.sleep() without try/catch

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.